uniform sampler2D texture;
uniform mediump float texture_bind;

varying mediump vec2 v_texcoord;
varying lowp vec4 v_color;

void main(void)
{
	lowp float color_p  = 1.0 - texture_bind;
	lowp float modtex_p = 1.0 - color_p;
	lowp vec4 texColor = texture2D(texture, v_texcoord);
	gl_FragColor = v_color * color_p + texColor * v_color * modtex_p;
}
